Ask Your Question
0

Installing package from source in Indigo

asked 2015-05-11 05:49:50 -0600

bluefish gravatar image

updated 2015-05-11 06:26:00 -0600

Hi!

I know this question has been asked dozen of times already. So sorry for asking it again, but I really have problems dealing with it and I'm trying for hours now. It seems like the answers for older releases of ROS don't work for Indigo or maybe just for me. :(

I'd just want to install the descartes-package from source as there is no sudo apt-get install ros-indigo-descartes.

Can somebody help me out here please?

Edit:

Among others I already tried this approach: there when I type rosws set --svn https://github.com/ros-industrial-consortium/descartes.git the error appears ERROR in config: Command requires a target workspace.

also this one: but when entering wstool merge descartes_catkin.rosinstall, I get the error ERROR in config: Is not a local file, nor a valid URL [descartes_catkin.rosinstall] : unknown url type: descartes_catkin.rosinstall

In my distress I then tried git clone https://github.com/ros-industrial-consortium/descartes.git -b -indigo-devel and then catkin_make as this was the way to get the UR-package. But then in the C-API the #include <descartes_moveit/moveit_state_adapter.h> and the other includes of descartes coud not be recognized by the compiler.

edit retag flag offensive close merge delete

Comments

Please add what you have already tried, why, and how it failed, so you won't get answers telling you things you already know.

gvdhoorn gravatar imagegvdhoorn ( 2015-05-11 05:57:43 -0600 )edit

Thanks gvdhoorn for your help!! I edited the question.

bluefish gravatar imagebluefish ( 2015-05-11 06:17:52 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
5

answered 2015-05-11 06:38:02 -0600

gvdhoorn gravatar image

updated 2015-05-11 06:42:43 -0600

You'll probably want to read up on catkin and workspaces in the catkin tutorials.

For your specific case:

# make sure you have sourced the correct setup.bash file for your ROS distribution already

# go to workspace src space
cd /path/to/your/catkin_ws/src

# checkout the desired version of the descartes repository.
git clone -b indigo-devel https://github.com/ros-industrial-consortium/descartes.git

# we need to make sure you have all dependencies installed.
cd /path/to/your/catkin_ws
rosdep install --from-paths src --ignore-src --rosdistro indigo

# now build
catkin_make

After sourcing /path/to/your/catkin_ws/devel/setup.bash you should now be able to use the Descartes packages.


Edit: just for completeness sake:

Your first approach uses rosws, which afaik has been deprecated in favour of wstool and probably doesn't work very well with anything more recent than Fuerte/Groovy. The second approach uses wstool and a .rosinstall file, which can work, but is probably overkill for a workspace with a single package. Your third attempt is basically correct, but you missed the step where you install all the dependencies of the package with something like rosdep.

edit flag offensive delete link more

Comments

Thanks a lot both for the answer and the explanations. This plus editing CMakeLists.txt and package.xml which I also forgot in the first place did the trick. It works now. Thanks! :)

bluefish gravatar imagebluefish ( 2015-05-11 08:46:02 -0600 )edit

Hi! I had a similar issue (on PC with ubuntu 14.04 with indigo-desktop-full version) and I solved my problem in the same way. Now on a board using ubuntu 14.04 with indigo-desktop version if I follow your steps I received this message after the "catkin_make" command:

papaclaudia gravatar imagepapaclaudia ( 2016-03-06 03:54:08 -0600 )edit

CMake Error at /opt/ros/indigo/share/catkin/cmake/catkinConfig.cmake:75 (find_package): Could not find a package configuration file provided by "pcl_conversions" with any of the following names:

pcl_conversionsConfig.cmake
pcl_conversions-config.cmake
papaclaudia gravatar imagepapaclaudia ( 2016-03-06 03:55:16 -0600 )edit

Add the installation prefix of "pcl_conversions" to CMAKE_PREFIX_PATH or set "pcl_conversions_DIR" to a directory containing one of the above files. If "pcl_conversions" provides a separate development package or SDK, be sure it has been installed. Call Stack (most recent call first):

papaclaudia gravatar imagepapaclaudia ( 2016-03-06 03:55:36 -0600 )edit

navigation/costmap_2d/CMakeLists.txt:4 (find_package)

-- Configuring incomplete, errors occurred! See also "/home/ubuntu/catkin_ws/build/CMakeFiles/CMakeOutput.log". See also "/home/ubuntu/catkin_ws/build/CMakeFiles/CMakeError.log". Invoking "cmake" failed

papaclaudia gravatar imagepapaclaudia ( 2016-03-06 03:55:54 -0600 )edit

Sorry but I had to divide the message into three parts. How do I fix? Thank you!

papaclaudia gravatar imagepapaclaudia ( 2016-03-06 03:57:22 -0600 )edit

Please search for older questions about this (use google, with something like site:answers.ros.org added). If you can't find anything, please open a new question.

gvdhoorn gravatar imagegvdhoorn ( 2016-03-06 04:11:15 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

4 followers

Stats

Asked: 2015-05-11 05:49:50 -0600

Seen: 13,365 times

Last updated: May 11 '15